﻿using System;
using System.Collections.ObjectModel;

namespace TestApp
{
    public class TDataCollection : ObservableCollection<TData>
    {
        #region Constructor

        public TDataCollection()
        {
        }

        public TDataCollection(int loadSize)
        {
            this.LoadData(loadSize);
        }

        #endregion // Constructor

        #region LoadData

        public void LoadData(int loadSize)
        {
            for (int i = 0; i < loadSize; i++)
            {
                int intData = i;
                string stringData = i % 2 == 0 ? "Good" : "Bad";
                this.Add(new TData
                {
                    A1 = intData,
                    String = stringData,
                });
            }
        }

        #endregion // LoadData
    }
}
